SDL_aligned_alloc(3)

NAME
SDL_aligned_alloc - Allocate memory aligned to a specific value.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_MALLOC void* SDL_aligned_alloc(size_t alignment, size_t size);

DESCRIPTION
If alignment is less than the size of void* , then it will be increased to match that. The returned memory address will be a multiple of the alignment value, and the amount of memory allocated will be a multiple of the alignment value. The memory returned by this function must be freed with SDL_aligned_free ()

FUNCTION PARAMETERS

alignment
    the alignment requested

size
    the size to allocate

RETURN VALUE
Returns a pointer to the aligned memory

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_aligned_free(3)